Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.security.credentials
Interface UserPasswordCredentialMapEditorMBean

All Known Subinterfaces:
  DefaultCredentialMapperMBean

public interface UserPasswordCredentialMapEditorMBean
extends weblogic.management.commo.StandardInterface, UserPasswordCredentialMapReaderMBean

Provides a set of methods for creating, editing, and removing a credential map that matches WebLogic users to usernames and passwords from an external information source. A Role Mapping-provider MBean can optionally extend this MBean. The WebLogic Server Administration Console detects when a Role Mapping provider extends this MBean and automatically provides a GUI for using these methods.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `removeUserPasswordCredential(java.lang.String resourceId, java.lang.String remoteUserName)` Removes the username-password credential for an external username.
`void` | `removeUserPasswordCredentialMapping(java.lang.String resourceId, java.lang.String wlsUserName)` Removes the mapping of a WebLogic username and an external username.
`void` | `setUserPasswordCredential(java.lang.String resourceId, java.lang.String remoteUserName, java.lang.String remotePassword)` Sets a user-password credential in an external resource.
`void` | `setUserPasswordCredentialMapping(java.lang.String resourceId, java.lang.String wlsUserName, java.lang.String remoteUserName)` Creates a mapping from a WebLogic username to an external user-password credential.

Methods inherited from interface weblogic.management.security.credentials.UserPasswordCredentialMapReaderMBean
`getCurrentCredentialRemotePassword, getCurrentCredentialRemoteUserName, getCurrentMappingRemoteUserName, getCurrentMappingWLSUserName, getRemotePassword, getRemoteUserName, listCredentials, listMappings`

Methods inherited from interface weblogic.management.utils.ListerMBean
`advance, close, haveCurrent`

Method Detail

### setUserPasswordCredential

    public void setUserPasswordCredential(java.lang.String resourceId,
                                          java.lang.String remoteUserName,
                                          java.lang.String remotePassword)

  Sets a user-password credential in an external resource. If you specify an new username, this method creates a new user-password credential. If you specify an existing username, this method replaces the user's password.

  Parameters:
    `resourceId` - - The information source that contains the external username-password credential.
    `remoteUserName` - - The username for the credential.
    `remotePassword` - - The password for the credential.

### setUserPasswordCredentialMapping

    public void setUserPasswordCredentialMapping(java.lang.String resourceId,
                                                 java.lang.String wlsUserName,
                                                 java.lang.String remoteUserName)
                                          throws NotFoundException

  Creates a mapping from a WebLogic username to an external user-password credential.

  Parameters:
    `resourceId` - - The information source that contains the external username-password credential.
    `wlsUserName` - - The name of an existing WebLogic user.
    `remoteUserName` - - The name of an existing user in the external information source.
  Throws:
    NotFoundException -

### removeUserPasswordCredential

    public void removeUserPasswordCredential(java.lang.String resourceId,
                                             java.lang.String remoteUserName)
                                      throws NotFoundException

  Removes the username-password credential for an external username. If you created a credential map that specifies this username, the map becomes invalid. You must remove any invalid maps.

  Parameters:
    `resourceId` - - The information source that contains the external user name and password.
    `remoteUserName` - - The external username.
  Throws:
    NotFoundException -

### removeUserPasswordCredentialMapping

    public void removeUserPasswordCredentialMapping(java.lang.String resourceId,
                                                    java.lang.String wlsUserName)
                                             throws NotFoundException

  Removes the mapping of a WebLogic username and an external username.

  Parameters:
    `resourceId` - - The information source that contains the external user name.
    `wlsUserName` - - The WebLogic username.
  Throws:
    NotFoundException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD